For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inTry it free
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
DocsGuidesSDKsIntegrationsAPI docsTutorialsFlagship blog
  • REST API overview
    • Access Tokens
    • Account Members
    • Account Usage Beta
    • AI Configs
    • Announcements
    • Applications Beta
    • Approvals
    • Approvals Beta
    • Audit Log
    • Code References
    • Contexts
    • Context Settings
    • Custom Roles
    • Data Export Destinations
    • Environments
    • Experiments
    • Feature Flags
    • Feature Flags Beta
    • Flag Import Configurations Beta
    • Flag Links Beta
    • Flag Triggers
    • Follow Flags
    • Holdouts Beta
    • Insights Charts Beta
    • Insights Deployments Beta
    • Insights Flag Events Beta
    • Insights Pull Requests Beta
    • Insights Repositories Beta
    • Insights Scores Beta
    • Integration Audit Log Subscriptions
    • Integration Delivery Configurations Beta
      • POSTCreate delivery configuration
      • DELDelete delivery configuration
      • GETGet delivery configuration by ID
      • GETGet delivery configurations by environment
      • GETList all delivery configurations
      • PATCHUpdate delivery configuration
      • POSTValidate delivery configuration
    • Integrations Beta
    • Layers
    • Metrics
    • Metrics Beta
    • OAuth2 Clients
    • Persistent Store Integrations Beta
    • Projects
    • Relay Proxy Configurations
    • Release Pipelines Beta
    • Releases Beta
    • Scheduled Changes
    • Segments
    • Tags
    • Teams
    • Teams Beta
    • Users
    • Users Beta
    • User Settings
    • Views Beta
    • Webhooks
    • Workflows
    • Workflow Templates
    • Other
Sign inTry it free
LogoLogo
REST API overviewIntegration Delivery Configurations Beta

Get delivery configurations by environment

GET
/api/v2/integration-capabilities/featureStore/:projectKey/:environmentKey
GET
/api/v2/integration-capabilities/featureStore/:projectKey/:environmentKey
$curl https://app.launchdarkly.com/api/v2/integration-capabilities/featureStore/projectKey/environmentKey \
> -H "Authorization: <apiKey>"
1{
2 "_links": {
3 "self": {
4 "href": "string",
5 "type": "string"
6 },
7 "parent": {
8 "href": "string",
9 "type": "string"
10 }
11 },
12 "items": [
13 {
14 "_links": {
15 "self": {
16 "href": "string",
17 "type": "string"
18 },
19 "parent": {
20 "href": "string",
21 "type": "string"
22 },
23 "project": {
24 "href": "string",
25 "type": "string"
26 },
27 "environment": {
28 "href": "string",
29 "type": "string"
30 }
31 },
32 "_id": "12ab3c4d5ef1a2345bcde67f",
33 "integrationKey": "example-integration-key",
34 "projectKey": "default",
35 "environmentKey": "development",
36 "config": {},
37 "on": true,
38 "tags": [],
39 "name": "Development environment configuration",
40 "version": 1,
41 "_access": {
42 "denied": [
43 {
44 "action": "string",
45 "reason": {
46 "effect": "allow",
47 "resources": [
48 "proj/*:env/*;qa_*:/flag/*"
49 ],
50 "notResources": [
51 "string"
52 ],
53 "actions": [
54 "*"
55 ],
56 "notActions": [
57 "string"
58 ],
59 "role_name": "string"
60 }
61 }
62 ],
63 "allowed": [
64 {
65 "action": "string",
66 "reason": {
67 "effect": "allow",
68 "resources": [
69 "proj/*:env/*;qa_*:/flag/*"
70 ],
71 "notResources": [
72 "string"
73 ],
74 "actions": [
75 "*"
76 ],
77 "notActions": [
78 "string"
79 ],
80 "role_name": "string"
81 }
82 }
83 ]
84 }
85 }
86 ]
87}
Get delivery configurations by environment.
Was this page helpful?
Previous

List all delivery configurations

Next
Built with

Authentication

Authorizationstring
API Key authentication via header

Path parameters

projectKeystringRequiredformat: "string"
The project key
environmentKeystringRequiredformat: "string"
The environment key

Response

Integration delivery configuration collection response
_linksobject
The location and content type of related resources
itemslist of objects
An array of integration delivery configurations

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error